# Interface MergedIfcProductMeshesRenderInfoState`Internal`

State of render properties for a collection of merged IFC product meshes. NOTE: Internal APIs. Subject to change. Use of these APIs in production applications is not supported.

interface MergedIfcProductMeshesRenderInfoState {
count: number;
ghostOutlineCount: number;
ignoreClipPlanesCount: number;
outlinedCount: number;
visibleCount: number;
}

##### Index

### Properties

count
ghostOutlineCount
ignoreClipPlanesCount
outlinedCount
visibleCount

## Properties

### count

count: number

Total number of meshes.

### ghostOutlineCount

ghostOutlineCount: number

Number of meshes with ghost outline enabled.

### ignoreClipPlanesCount

ignoreClipPlanesCount: number

Number of meshes that ignore clip planes.

### outlinedCount

outlinedCount: number

Number of meshes with outline enabled.

### visibleCount

visibleCount: number

Number of meshes that are visible.